Change ebuild to snapshot as live ebuild isn't suitable
authorgabriel
Fri, 26 Feb 2021 17:59:45 +0000
changeset 25 50604c9253b9
parent 24 34adec9fb305
child 26 181a113ead11
Change ebuild to snapshot as live ebuild isn't suitable
x11-plugins/purple-facebook/Manifest
x11-plugins/purple-facebook/files/purple-facebook-20210226-no-hg-while-compile.patch
x11-plugins/purple-facebook/purple-facebook-20210226.ebuild
x11-plugins/purple-facebook/purple-facebook-9999.ebuild
--- a/x11-plugins/purple-facebook/Manifest	Fri Feb 19 15:17:08 2021 +0000
+++ b/x11-plugins/purple-facebook/Manifest	Fri Feb 26 17:59:45 2021 +0000
@@ -1,1 +1,2 @@
-EBUILD purple-facebook-9999.ebuild 999 BLAKE2B d36efb8b4cb41f61be57425884308d50842d074fb61547e423a2abd83da56b37acb35bef63077204c5dc3d02984ea125094b88b8ec1a134f2f755a788f5bf655 SHA512 fc19e9ca8bb4f46f261bfe1369652921051816d30254e21a569a697c991475195972b143afc826731ca5cc3ae989d2d966c6acbd61ca53ebe645464d9f97d342
+AUX purple-facebook-20210226-no-hg-while-compile.patch 690 BLAKE2B 643e894c77f8118fd21989ae48c77892301c5da4c2c128b35d9b812664b1bc19af6b1cdf444898da17655d7da858838f5d0fb9f51f6cfd2715c7e85b0f31a55f SHA512 baf53609cff2eac073028ea630916bbffffdda58f6944e675102276debcf7530dd5e3904173e7ef263927cb70c5451d7c68b45701b3645fa79895b5840ba3dd5
+EBUILD purple-facebook-20210226.ebuild 1117 BLAKE2B 1318c76fadb557752ed65fb4469eff62742366383ce1bec21e783bde3ee7901010a98b1de18c2bccbb8f2c43b2a630c84a7e161419274e204a0d622c61b99fae SHA512 9d02987fe4f882f73d75e0a135f31b6df0bce749326e4d52c8318213a3fe0cde33d71c98d97b7dd6c7ac64bc48f6eca7c8e90bac0c95ac545730601648ad32f5
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/x11-plugins/purple-facebook/files/purple-facebook-20210226-no-hg-while-compile.patch	Fri Feb 26 17:59:45 2021 +0000
@@ -0,0 +1,32 @@
+--- a/update.sh
++++ b/update.sh
+@@ -2,29 +2,11 @@
+ 
+ set -e
+ 
+-URL="https://keep.imfreedom.org/pidgin/pidgin"
+-HASHG=$(_TMP_=$(type hg 2>&1); echo $?)
+-
+-if test "$HASHG" != "0"; then
+-    echo "hg (mercurial) not found in PATH" >&2
+-    exit $HASHG
+-fi
+-
+ test -z "$srcdir" && srcdir=$(dirname "$0")
+ test -z "$srcdir" && srcdir=.
+ test -z "$pidgindir" && pidgindir=.pidgin
+ 
+ cd "$srcdir"
+-REVISION=$(cat VERSION)
+-
+-if ! test -d "$pidgindir/.hg"; then
+-    rm -rf "$pidgindir"
+-    hg clone "$URL" "$pidgindir"
+-fi
+-
+-hg -R "$pidgindir" -v pull
+-hg -R "$pidgindir" -v update -C "$REVISION"
+-rm -rf pidgin
+ 
+ for FILE in $(cat MANIFEST_PIDGIN); do
+     mkdir -p $(dirname "pidgin/$FILE")
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/x11-plugins/purple-facebook/purple-facebook-20210226.ebuild	Fri Feb 26 17:59:45 2021 +0000
@@ -0,0 +1,43 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools git-r3 mercurial
+
+DESCRIPTION="Facebook protocol plugin for libpurple"
+HOMEPAGE="https://github.com/dequis/purple-facebook"
+
+LICENSE="GPL-2"
+SLOT="0"
+
+# purple-facebook snapshot
+EGIT_REPO_URI="https://github.com/dequis/purple-facebook.git"
+EGIT_COMMIT="1a6711f83d62e374ca2bed41fd4ca25b6bc654a2"
+# pidgin snapshot (hard dependency for purple-facebook, see file VERSION)
+EHG_REPO_URI="https://keep.imfreedom.org/pidgin/pidgin"
+EHG_REVISION="9ff9acf9fa14"
+EHG_CHECKOUT_DIR="${S}/.pidgin"
+
+PATCHES=( "${FILESDIR}/${P}-no-hg-while-compile.patch" )
+
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="dev-libs/json-glib
+		 net-im/pidgin"
+DEPEND="dev-libs/json-glib" # Portage doesn't need to give us pidgin this time
+DOCS=( AUTHORS ChangeLog NEWS README VERSION )
+
+src_unpack() {
+	default
+	# This will check out pidgin in its working directory
+	mercurial_src_unpack || die
+	# This will check out purple-facebook in its working directory
+	git-r3_src_unpack || die
+}
+
+src_prepare() {
+	default
+	./autogen.sh
+}
--- a/x11-plugins/purple-facebook/purple-facebook-9999.ebuild	Fri Feb 19 15:17:08 2021 +0000
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,49 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit autotools
-
-DESCRIPTION="Facebook protocol plugin for libpurple"
-HOMEPAGE="https://github.com/dequis/purple-facebook"
-
-LICENSE="GPL-2"
-SLOT="0"
-if test ${PV} == 9999; then
-	inherit git-r3
-	SRC_URI=""
-	EGIT_REPO_URI="https://github.com/dequis/purple-facebook.git"
-else
-	MY_PV="0.9.6"
-	S="${WORKDIR}/${PN}-${MY_PV}"
-	SRC_URI="https://github.com/dequis/${PN}/releases/download/v${MY_PV}/${PN}-${MY_PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~amd64"
-fi
-IUSE=""
-
-RDEPEND="dev-libs/json-glib
-	 net-im/pidgin"
-DEPEND="${RDEPEND}"
-if test ${PV} == 9999; then
-	# TODO: This is really bad as update.sh will later download libpurple
-	BDEPEND="dev-vcs/mercurial"
-fi
-DOCS=( AUTHORS ChangeLog NEWS README VERSION )
-
-src_unpack() {
-	if test ${PV} == 9999; then
-		git-r3_src_unpack
-	else
-		default
-	fi
-}
-
-src_prepare() {
-	default
-	if test ${PV} == 9999; then
-		./autogen.sh
-	else
-		eautoreconf
-	fi
-}